/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 */
#ifndef _GPXE_DOWNLOADER_H
#define _GPXE_DOWNLOADER_H

/** @file
 *
 * Image downloader
 *
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

struct interface;
struct image;

extern int create_downloader ( struct interface *job, struct image *image,
			       int type, ... );

#endif /* _GPXE_DOWNLOADER_H */
