/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_FAKEDHCP_H
#define _GPXE_FAKEDHCP_H

/** @file
 *
 * Fake DHCP packets
 *
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <stdint.h>

struct net_device;

extern int create_fakedhcpdiscover ( struct net_device *netdev,
				     void *data, size_t max_len );
extern int create_fakedhcpack ( struct net_device *netdev,
				void *data, size_t max_len );
extern int create_fakeproxydhcpack ( struct net_device *netdev,
				     void *data, size_t max_len );

#endif /* _GPXE_FAKEDHCP_H */
