/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _UNDINET_H
#define _UNDINET_H

/** @file
 *
 * UNDI network device driver
 *
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

struct undi_device;

extern int undinet_probe ( struct undi_device *undi );
extern void undinet_remove ( struct undi_device *undi );

#endif /* _UNDINET_H */
